<?php


/* Asetetaan .htaccesista saatu muuttuja globaliksi ja "ohjataan" se main.sitelle */
$su2_url_temp = strrev($_GET['url']);

if ($su2_url_temp[0] == '/'){
	$su2_url_temp = substr($su2_url_temp,1,strlen($su2_url_temp)-1);
	$GLOBALS['su2_url'] = stripslashes(strrev($su2_url_temp));
}
else
	$GLOBALS['su2_url'] = stripslashes($_GET['url']);

/* Tiedostot käsitellään file.sitessä pl. videot */
if (preg_match("/binary/",$GLOBALS['su2_url']) && !preg_match("/binary\/video/",$GLOBALS['su2_url']))
	require_once('file.php');
else
	require_once('main.php');

?>